Portfolio

List assets for investors

POST/portfolio/investors/assets

Returns the assets that one or more investors hold positions in, valued as of the specified date. Accepts an array of investor IDs to retrieve assets across multiple investors in a single request.

Request body

application/json, required · PortfolioInvestorAssetsRequest

  • investor_idsstring[]Required#
  • datestring (date-time)Required#
{
  "investor_ids": [
    "string"
  ],
  "date": "2026-06-12T10:00:00+00:00"
}

Responses

200
{}
422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/investors/assets\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "investor_ids": [
    "string"
  ],
  "date": "2026-06-12T10:00:00+00:00"
}'